<!DOCTYPE html> 
<html>
	<head>
		<meta charset="utf-8"/>
		<title>EOQ2 Developer Interface</title>
		<script src="eoq1/model/model.js"></script>
		<script src="eoq1/domains/domain.js"></script>
		<script src="eoq1/domains/httppostdomain.js"></script>
		<script src="eoq1/valueparser.js"></script>
		<script src="eoq1/commandparser.js"></script>
		<script src="eoq1/resultparser.js"></script>

		
		<script src="eoq2/util/logger.js"></script>
		<script src="eoq2/query/query.js"></script>
		<script src="eoq2/command/command.js"></script>
		<script src="eoq2/command/result.js"></script>
		<script src="eoq2/frame/frame.js"></script>
		<script src="eoq2/event/event.js"></script>
		<script src="eoq2/domain/domain.js"></script>
		<script src="eoq2/serialization/serializer.js"></script>
		<script src="eoq2/serialization/jsonserializer.js"></script>
		<script src="eoq2/serialization/textserializer.js"></script>
		<script src="eoq2/domain/remote/websocketdomain.js"></script>
		<script src="eoq2/legacy/legacy.js"></script>
		<script src="eoq2/eoq2.js"></script>

		<link href="contrib/bootstrap-4.3.1-dist/css/bootstrap.min.css" rel="stylesheet">
		<link href="css/jseoqdeveloperinterface.css" rel="stylesheet"/>
		
		<script src="contrib/jquery/jquery-3.3.1.min.js"></script>
		<script src="contrib/bootstrap-4.3.1-dist/js/bootstrap.min.js"></script>
		
	</head> 
	<body>
		<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
			<a class="navbar-brand" href="#">EOQ2 Developer Interface</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
			  <span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarNavDropdown">
			  <ul class="navbar-nav">
			  </ul>
			</div>
		  </nav>
		<div class="Container">
			<div class="row">
				<div id="status-alert-pane" class="col-sm-12 status-alert-pane">
				</div>
			</div>
			<div id="ui-pane" class="d-none">
				<div class="row">
					<div class="col-sm-12">
						<form>
							<div class="form-group">
								<div class="input-group">
									<div class="input-group-prepend">
									  <span class="input-group-text">>></span>
									</div>
									<div id="console-output-pane" class="form-control console-output-pane"></div>
									<div class="input-group-append">
								    	<button class="btn btn-secondary" type="button" onclick="ClearLogPane();"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span></button>
								 	</div>
								</div>
								<div class="input-group">
									<div class="input-group-prepend">
									  <span class="input-group-text">>></span>
									</div>
									<textarea class="form-control console-input-area" id="console-input-area" rows="10" onkeydown="if(event.keyCode == 13) { ExecCommand($('#console-input-area').val()); return false;}">GET /resources/name</textarea>
									<div class="input-group-append">
								    	<button class="btn btn-primary" type="button" onclick="ExecCommand($('#console-input-area').val());"><span class="glyphicon glyphicon-cog" aria-hidden="true"></span></button>
								 	</div>
								</div>	
							</div>				
						</form>
					</div>
				</div>
				
				<div class="row">
					<div id="dialog-panel" class="col-sm-12">
				</div>
			</div> <!-- row //-->
		</div> <!-- container //-->

		
		<script src="js/jseoqdeveloperinterface.js"></script>
	</body>
</html>